/* *************************************** */
/*    File I/O Interface Class ver.2.00    */
/*                            'fileio.h'   */
/*                        by T.Nakayama    */
/* *************************************** */

#ifndef	_CLASS_FILE_IO_V2_
#define _CLASS_FILE_IO_V2_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define FILEIO_COMPLETE				0x0000
#define FILEIO_NO_FILENAME			0x8101
#define FILEIO_FILE_NOT_FOUND		0x8102
#define FILEIO_CANNOT_READ_FILE		0x8103
#define FILEIO_CANNOT_WRITE_FILE	0x8104
#define FILEIO_ILLEGAL_FILENAME		0x8105
#define FILEIO_DISK_FULL			0x8106
#define FILEIO_CANNOT_OPEN_FILE		0x8107
#define FILEIO_FAILED				0x8108

#define FILEIO_ERRORMODE_EAZY		FALSE
#define FILEIO_ERRORMODE_NATIVE		TRUE

/* ************************************************************** Class **** */

class FileIO{
private:
	DWORD			_dwError;
	BOOL			_bErrorMode;

public:
							FileIO();
	virtual					~FileIO();

	virtual DWORD			SetLastError(DWORD);
	virtual DWORD			GetLastError(void);

	virtual BOOL			SetErrorMode(BOOL);
	virtual BOOL			GetErrorMode(void);

	virtual HANDLE			OpenFile(LPCTSTR,
								DWORD dwDesireAccess = GENERIC_READ,
								DWORD dwAttribute = FILE_ATTRIBUTE_NORMAL,
								DWORD dwCreate = OPEN_EXISTING);
	virtual BOOL			CloseHandle(HANDLE);
	virtual DWORD			GetFileSize(HANDLE,
								LPDWORD pdwFileSizeHigh = NULL);
	virtual DWORD			ReadFile(HANDLE, LPVOID, DWORD);
	virtual DWORD			WriteFile(HANDLE, LPVOID, DWORD);

};
typedef FileIO*		LPFileIO;

#endif	// _CLASS_FILED_IO_V2_
