# *********************************************** 
#   Transform Wave File to PCM for XM7 ver.1.00   
#                                     Make File   
#              for Microsoft Visual C++ ver.6.0   
# *********************************************** 

# ******** Define Project Name ********

PRJ=WAV2PCM7

# ******** Define NULL Depended OS ********

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE
NULL=nul
!ENDIF

# ******** Define Derectory ********

!IF "$(CFG)" == "Win32 Debug"

!MESSAGE Bulding $(PRJ).EXE With Debug Mode.
OUTDIR=.\DEBUG
INTDIR=.\DEBUG

!ELSE

!MESSAGE Bulding $(PRJ).Exe With Release Mode.
OUTDIR=.\RELEASE
INTDIR=.\RELEASE

!ENDIF

# ******** Define Quasi Target Files ********

!IF "$(CFG)" == "Win32 Debug"

ALL	: "$(OUTDIR)\$(PRJ).exe" "$(OUTDIR)\$(PRJ).bsc"

!ELSE

ALL	: "$(OUTDIR)\$(PRJ).exe"

!ENDIF

# ******** Clear Object Files ********

!MESSAGE Erasing Object and infomation files.

CLEAN:
	-@erase "$(INTDIR)\vc50.idb"
	-@erase "$(OUTDIR)\$(PRJ).exe"
#	-@erase "$(INTDIR)\$(PRJ).res"
	-@erase "$(INTDIR)\$(PRJ).obj"

# if you need erase some object files,
# you have to discribe some commands to erase here.
#  ex) -@erase "$(INTDIR)\exsample.obj"

!IF "$(CFG)" == "Win32 Debug"

	-@erase "$(INTDIR)\$vc50.pdb"
	-@erase "$(OUTDIR)\$(PRJ).ilk"
	-@erase "$(OUTDIR)\$(PRJ).bsc"
	-@erase "$(OUTDIR)\$(PRJ).pdb"
	-@erase "$(INTDIR)\$(PRJ).sbr"

# if you need erase some browse infomation files,
# you have to discribe some commands to erase here.
#  ex) -@erase "$(INTDIR)\exsample.sbr"

!ENDIF

# ******** Define Options for a compiler and a linker ********

!MESSAGE Define compiler and linker options.

# ----- Compiler and Linker

CC     =CL
CPP    =CL
RC     =RC
LINK   =LINK
BSC    =BSCMAKE
IMPLIB =LIB
HC     =HCRTF -xn

# ----- Common options

CFLAGS   =/c /nologo /W3 /GB /GX /D "WIN32" /D "_WINDOWS"\
 /Fo"$(INTDIR)\\" /Fp"$(INTDIR)\$(PRJ).PCH" /YX
LFLAGS   =/nologo /subsystem:console /machine:I386 /out:"$(OUTDIR)\$(PRJ).EXE"
RCFLAGS  =/l 0x411 /fo"$(INTDIR)\$(PRJ).res" /d "WIN32" /d "_WIN32"
BSCFLAGS =/nologo /o"$(OUTDIR)\$(PRJ).BSC"

BASELIBS =kernel32.lib advapi32.lib
WINLIBS  =$(BASELIBS) user32.lib gdi32.lib comdlg32.lib winspool.lib
GUILIBS  =$(WINLIBS)
# if you need, you may add some libraries discribed below.
#  shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib
# if you use multi media funcitons, you need add a winmm.lib.
# if you use screensaver funcitons, you need add a scrnsave.lib.

# ----- Options depended building mode

!IF "$(CFG)" == "Win32 Debug"

CVARS    =/MLd /Gm /Od /FD /Zi /D "_DEBUG" /FR"$(INTDIR)\\" /Fd"$(INTDIR)\\"
LVARS    =/incremental:yes /debug /pdb:"$(OUTDIR)\$(PRJ).PDB" /pdbtype:sept
RCVARS   =/d "_DEBUG"

!ELSE

CVARS    =/ML /O2 /D "NDEBUG"
LVARS    =/incremental:no /RELEASE
RCVARS   =/d "NDEBUG"

!ENDIF

# ******** Define Inferential Rules ********

# ------ Directory

"$(OUTDIR)"	:
	if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

# ------ From C and C++ Source Files To Object Files

.c{$(OUTDIR)}.obj::
	$(CC) @<<
	$(CFLAGS) $(CVARS) $<
<<

.cpp{$(OUTDIR)}.obj::
	$(CPP) @<<
	$(CFLAGS) $(CVARS) $<
<<

# ----- From C and C++ Source Files To Source Browser Files

.c{$(OUTDIR)}.sbr::
	$(CC) @<<
	$(CFLAGS) $(CVARS) $<
<<

.cpp{$(OUTDIR)}.sbr::
	$(CPP) @<<
	$(CFLAGS) $(CVARS) $<
<<

# ******** Compile And Link ********

!MESSAGE Compile Sources and Link objects.

# ----- Make Browser Infomation File

SBRS =\
	"$(INTDIR)\$(PRJ).sbr"\
	"$(INTDIR)\fileio.sbr"

# if you need more browse files,
# you have to discribe some browse files here.
#  ex) "$(INTDIR)\exsample.sbr"

!IF "$(CFG)" == "Win32 Debug"

"$(OUTDIR)\$(PRJ).bsc"  : "$(OUTDIR)" $(SBRS)
	$(BSC) @<<
	$(BSCFLAGS) $(SBRS)
<<

!ENDIF

# ----- Link

#RSCS ="$(INTDIR)\$(PRJ).res"
OBJS =\
	"$(INTDIR)\$(PRJ).obj"\
	"$(INTDIR)\fileio.obj"

# if you need more object files,
# you have to discribe some object files here.
#  ex) "$(INTDIR)\exsample.obj"

"$(OUTDIR)\$(PRJ).exe" : "$(OUTDIR)" $(OBJS) $(RSCS)
	$(LINK) @<<
	$(LFLAGS) $(LVARS) $(BASELIBS) $(OBJS) $(RSCS)
<<

# ----- Resource Compile

SOURCE =".\$(PRJ).rc"
HEADER =\
	".\$(PRJ).h"

#"$(INTDIR)\$(PRJ).res" : "$(INTDIR)" $(HEADER) $(SOURCE)
#	$(RC) $(RCFLAGS) $(RCVARS) $(SOURCE)

# ----- Compile

# if you need more header files, you have to discribe some header files here.
#  ex) ".\exsample.obj"

# ----- wav2pcm7.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\$(PRJ).obj" "$(INTDIR)\$(PRJ).sbr" : "$(INTDIR)"\
	wav2pcm7.h macro.h fileio.h wav2pcm7.cpp

!ELSE

"$(INTDIR)\$(PRJ).obj" : "$(INTDIR)"\
	wav2pcm7.h macro.h fileio.h wav2pcm7.cpp

!ENDIF

# ----- fileio.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\fileio.obj" "$(INTDIR)\fileio.sbr" : "$(INTDIR)"\
	fileio.cpp fileio.h macro.h

!ELSE

"$(INTDIR)\fileio.obj" : "$(INTDIR)"\
	fileio.cpp fileio.h macro.h

!ENDIF

