/* ********************************************************* */
/*    Transform Wave File to PCM for FM-7 Header ver.1.00    */
/*                                           'wav2pcm7.h'    */
/* ********************************************************* */

#include <stdio.h>
#include <windows.h>
#include "macro.h"
#include "fileio.h"

/* ************************************************************* Define **** */

#define EXTENSION_WAVEFILE				".wav"
#define EXTENSION_BINFILE				".bin"

#define	RETCODE_COMPLATE				0
#define	RETCODE_PARAMETER_NOTHING		1
#define	RETCODE_WAVEFILENAME_NOTHING	2
#define	RETCODE_WAVEFILE_CANNOT_OPEN	3
#define	RETCODE_NOT_WAVEFILE			4
#define	RETCODE_BINFILE_CANNOT_OPEN		5
#define	RETCODE_ILLEGAL_FORMAT_TAG		6
#define	RETCODE_ILLEGAL_CHANNEL_NUMBER	7
#define	RETCODE_ILLEGAL_BITS			8

typedef struct tagSWAVEFORMAT
{
	short wFormatTag;			// WAVE_FORMAT_PCM
	WORD wChannels;				// 2
	DWORD dwSamplesPerSec;		// 44100
	DWORD dwAvgBytesPerSec;		// 44100 * 2 * 2
	WORD wBlockAlign;			// 4
	WORD wBitsPerSample;		// 16
} SWAVEFORMAT;
typedef SWAVEFORMAT*	LPSWAVEFORMAT;

typedef struct tagSWAVEFILEHEADER
{
	BYTE abyRiff[4];			// { 'R', 'I','F' ,'F' }
	DWORD dwFileSize;			// t@CTCY - 8
	BYTE abyWave[4];			// { 'W', 'A','V' ,'E' }
	BYTE abyFmt[4];				// { 'f', 'm','t' ,' ' }
	DWORD dwFmtSize;			// sizeof( PCMWAVEFORMAT 
	SWAVEFORMAT stWaveFormat;	// PCMWAVEFORMAT
	BYTE abyData[4];			// { 'd', 'a','t' ,'a' }
	DWORD dwWaveSize;			// Wavef[^[TCY
} SWAVEFILEHEADER;
typedef SWAVEFILEHEADER*	LPSWAVEFILEHEADER;

/* ********************************************************** Prototype **** */

int		main(int ,char**);
DWORD	ReadFile(LPCTSTR, LPBYTE*, DWORD*);
DWORD	WriteFile(LPCTSTR, LPBYTE, DWORD);
DWORD	CheckWaveFmt(LPBYTE, DWORD);
DWORD	GetSampleRate(LPBYTE);
DWORD	GetWaveSize(LPBYTE);
int		GetPcmWait(DWORD);
int		ShowVersion(void);
int		ShowUsage(void);
int		ShowError(int, LPCTSTR, LPCTSTR);

